org.apache.cassandra.cql3

## Class Tuples.InMarker

- java.lang.Object
- - org.apache.cassandra.cql3.Term.NonTerminal
  - - org.apache.cassandra.cql3.AbstractMarker
    - - org.apache.cassandra.cql3.Tuples.InMarker

- All Implemented Interfaces:
    Term
  Enclosing class:
    Tuples

      public static class Tuples.InMarker
      extends AbstractMarker

  Represents a marker for a set of IN values that are tuples, like "SELECT ... WHERE (a, b, c) IN ?"

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.AbstractMarker

      `AbstractMarker.INRaw, AbstractMarker.MultiColumnRaw, AbstractMarker.Raw`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.Term

      `Term.MultiItemTerminal, Term.NonTerminal, Term.Terminal`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.AbstractMarker

      `bindIndex, receiver`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InMarker(int bindIndex, ColumnSpecification receiver)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tuples.InValue` | `bind(QueryOptions options)` Bind the values in this term to the values contained in `values`.

    - ### Methods inherited from class org.apache.cassandra.cql3.AbstractMarker

      `addFunctionsTo, collectMarkerSpecification, containsBindMarker`

    - ### Methods inherited from class org.apache.cassandra.cql3.Term.NonTerminal

      `bindAndGet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMarker

          protected InMarker(int bindIndex,
                             ColumnSpecification receiver)

  - ### Method Detail

    - #### bind

          public Tuples.InValue bind(QueryOptions options)
                              throws InvalidRequestException

      Description copied from interface: `Term`
      Bind the values in this term to the values contained in `values`. This is obviously a no-op if the term is Terminal.
      Parameters:
        `options` - the values to bind markers to.
      Returns:
        the result of binding all the variables of this NonTerminal (or 'this' if the term is terminal).
      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation